package com.example.rangefinder.ui.measurement

enum class TreeCodes(val rawString: String, val displayName: String) {
	AKACIA("AKAC", "Акация"),
	AKACIAJ("AJ", "Акация желтая"),
	AKACIAB("A", "Акация белая"),
	ARONIA("ARCH", "Арония чернопл."),
	ALUCHA("AL", "Алыча"),
	BARBARIS("BBR", "Барбарис"),
	BARHAT("BHT", "Бархат"),
	BARHATA("BH", "Бархат амур."),
	BEREST("BR", "Берест"),
	BUK("BUK", "Бук"),
	BUZINA("BZN", "Бузина"),
	BEREZA("B", "Береза"),
	BEREZAB("BB", "Береза бород."),
	BEREZAK("BK", "Береза каменная"),
	BEREZAKR("BKR", "Береза карел."),
	BEREZAP("BP", "Береза пушистая"),
	BEREZAKS("BKS", "Береза кустарн."),
	BERSKELET("BRK", "Бересклет"),
	BOYARUSHNIK("BYAR", "Боярышник"),
	VOLCHEL("VOL", "Волчье лыко"),
	VISHNYA("VSH", "Вишня"),
	VYAZ("V", "Вяз"),
	GRAB("G", "Граб"),
	GRUSHA("GSH", "Груша"),
	DEREN("DR", "Дерен"),
	DUB("D", "Дуб"),
	DUBL("DL", "Дуб летний"),
	DUBN("DN", "Дуб низкоств."),
	DUBK("DK", "Дуб красный"),
	DUBCH("DCH", "Дуб черешч."),
	EL("E", "Ель"),
	ELE("EE", "Ель европ."),
	ELS("ES", "Ель сибир."),
	EZHIVIKA("EZH", "Ежевика"),
	ZHIMLOST("ZH", "Жимолость"),
	IVA("IVA", "Ива"),
	IVAD("IVAD", "Ивы древовидн."),
	IVAB("IVB", "Ива белая"),
	IVAL("IVL", "Ива ломкая"),
	IVAO("IVO", "Ива остролист."),
	IVAKST("IVK", "Ива кустарник."),
	ILM("IL", "Ильм"),
	IRGA("IR", "Ирга"),
	KALINA("KLN", "Калина"),
	KASHTAN("KSH", "Каштан"),
	KEDR("K", "Кедр"),
	KEDRS("KS", "Kедр сибирский"),
	KEDRST("KST", "Kедровый стланик"),
	KLEN("KL", "Kлен"),
	KLENO("KLO", "Клен остролист."),
	KLENA("KLA", "Клен американ."),
	KLENP("KLP", "Kлен полевой"),
	KLENB("KLB", "Клен белый"),
	KLENYA("KLYA", "Клен ясенелист."),
	KRUSHINAS("KRS", "Kрушина слабит."),
	KRUSHINAL("KRL", "Kрушина ломкая"),
	LISTVINICA("L", "Лиственница"),
	LISTVINICAS("LSB", "Лиственница сиб."),
	LIPA("LP", "Липа"),
	LIPAM("LPM", "Липа мелколист."),
	LIPAK("LPK", "Липа крупнолист."),
	LISHINA("LSHI", "Лещина"),
	LZHESTUGA("LZH", "Лжетсуга"),
	MALINA("ML", "Малина"),
	MOJEVELNIK("MJ", "Можжевельник"),
	MOJEVELNIKO("MJO", "Можжевельник об."),
	OREH("OREH", "Орех"),
	OREHG("ORG", "Орех грецкий"),
	OREM("ORM", "Орех манчжур."),
	OBLEPIHA("OBL", "Облепиха"),
	OSINA("OS", "Осина"),
	OLHA("OL", "Ольха"),
	OLHAS("OLS", "Ольха серая"),
	OLHACH("OLCH", "Ольха черная"),
	PIHTA("P", "Пихта"),
	PIHTAS("PS", "Пихта сибир."),
	PIHTAST("PST", "Пихтовый стланик"),
	RYABINA("R", "Рябина"),
	RODODENDRON("RD", "Рододендрон"),
	RAKITNIK("RK", "Ракитник"),
	SOSNA("S", "Сосна"),
	SOSNAB("SB", "Сосна Банкса"),
	SOSNAV("SV", "Сосна Веймут."),
	SOSNAK("SK", "Сосна крым."),
	SOSNAM("SM", "Сосна Муррея"),
	SOSNAO("SO", "Сосна обыкн."),
	SVIDINA("SVD", "Свидина"),
	SPIREA("SPR", "Спирея"),
	SIREN("SIR", "Сирень"),
	SLIVA("SL", "Слива"),
	SMORODINA("SMR", "Смородина"),
	TOPOL("T", "Тополь"),
	TOPOLCH("TCH", "Тополь черный"),
	TOPOLB("TB", "Тополь белый"),
	TOPOLD("TD", "Тополь душист."),
	TUYAZ("TUZ", "Туя западная"),
	CHOZENYA("CHZ", "Чозения"),
	CHEREMUHA("CHR", "Черемуха"),
	SHELKOVICA("SH", "Шелковица"),
	SHIPOVNIK("SHP", "Шиповник"),
	YABLUNYA("YAB", "Яблоня"),
	YABLUNYAL("YABD", "Яблоня лесная"),
	YASEN("YA", "Ясень"),

}